# Check Point firewall connections

Monitors the connections through a Check Point firewall gateway.

**Note**: this plugin supersedes the original _checkpoint_connections_ plugin.

---
### Check Info

- **service**: this check will create the service *Firewall connections*

- **state**: **critical**/**warning** if the number of connections outside the configured levels

- **wato**: [(see WATO options)](/../../../-/raw/master//doc/wato.png "see WATO options")

- **perfdata**
    - TCP connections/s
    - UDP connections/s
    - ICMP connections/s
    - Other connections/s
    - Total connections/s
    - Connections rate/s
    - Current connections
    - Peak Connections
    - Current connections relative to table limit (if available)


---
### Download

* [checkpoint_fw_connections.mkp (latest version)](https://thl-cmk.hopto.org/gitlab/checkmk/check-point/gateway/checkpoint_fw_connections/-/raw/master/checkpoint_fw_connections.mkp "Download latest version")

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run `mkp install checkpoint_fw_connections.mkp`.


In the Enterprise/Free edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](/doc/sample.png?raw=true "sample output")

Sample detail output
![sample detail output](/doc/sample-details.png?raw=true "sample detail output")

WATO options
![WATO options](/doc/wato.png?raw=true "WATO options")
